#
# Conditional build:
%bcond_with	tests	# test suite

%define		kf_ver	5.91.0
%define		qt_ver	5.15.2
%define		kfname	libqaccessibilityclient
Summary:	Accessibilty tools helper library
Summary(pl.UTF-8):	Biblioteka pomocnicza dla narzędzi wspomagających dostępność
Name:		libqaccessibilityclient-qt5
Version:	0.6.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
# TODO:
#Source0:	https://github.com/KDE/libqaccessibilityclient/archive/v%{version}/%{kfname}-%{version}.tar.gz
Source0:	https://github.com/KDE/libqaccessibilityclient/archive/refs/tags/v%{version}.tar.gz
# Source0-md5:	12f90db3f6f855ea898fa87a7569a12f
URL:		https://github.com/KDE/libqaccessibilityclient
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5DBus-devel >= %{qt_ver}
BuildRequires:	Qt5Gui-devel >= %{qt_ver}
%{?with_test:BuildRequires:	Qt5Test-devel >= %{qt_ver}}
BuildRequires:	Qt5Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf5-extra-cmake-modules >= %{kf_ver}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
Requires:	Qt5Core >= %{qt_ver}
Requires:	Qt5DBus >= %{qt_ver}
Requires:	Qt5Gui >= %{qt_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is used when writing accessibility clients such as screen
readers. It comes with some examples demonstrating the API. These
small helpers may be useful when testing accessibility. One of them
writes all accessibility interfaces an application provides as text
output. The other, more advanced application shows a tree of objects
and allows some interaction and exploration.

%description -l pl.UTF-8
Ta biblioteka jest używana przy pisaniu klientów usług dostępności,
takich jak czytniki ekranów. Jest dostarczana z przykładami
demonstrującymi API. Te małe programy mogą być przydatne przy
testowaniu dostępności. Jeden z nich wypisuje wszystkie interfejsy
dostępności zapewniane przez aplikację jako wyjście tekstowe. Inna,
bardziej zaawansowana aplikacja, pokazuje drzewo obiektów i pozwala na
pewną interakcję i eksplorowanie.

%package devel
Summary:	Header files for libqaccessibilityclient library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libqaccessibilityclient
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Core-devel >= %{qt_ver}
Requires:	Qt5Widgets-devel >= %{qt_ver}

%description devel
Header files for %{kfname} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DBUILD_WITH_QT6=OFF

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %{_libdir}/libqaccessibilityclient-qt5.so.*.*
%ghost %{_libdir}/libqaccessibilityclient-qt5.so.0
%{_datadir}/qlogging-categories5/libqaccessibilityclient.categories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libqaccessibilityclient-qt5.so
%{_includedir}/QAccessibilityClient
%{_libdir}/cmake/QAccessibilityClient
%changelog
* Thu Jun 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libqaccessibilityclient-qt5.git;a=log;h=master

* Thu Jun 05 2025 Jakub Bogusz <qboosh@pld-linux.org> 0292747
- qt5 version of libqaccessibilityclient-qt6.spec (from same sources for now)

